import { AgentContext, Chat } from '../../agent-core/index.js';
import { Agent, GoalRunArgs } from '../utils/index.js';
export declare class ResearcherAgent extends Agent {
    private plan;
    constructor(context: AgentContext);
    onFirstRun(args: GoalRunArgs, chat: Chat): Promise<void>;
}
